# Uses of Class
org.apache.sling.feature.scanner.ContainerDescriptor

Packages that use ContainerDescriptor
Package
Description
org.apache.sling.feature.scanner
org.apache.sling.feature.scanner.spi

## Uses of ContainerDescriptor in org.apache.sling.feature.scanner

Subclasses of ContainerDescriptor in org.apache.sling.feature.scanner
Modifier and Type
Class
Description
`class`
`FeatureDescriptor`
Information about a feature.

## Uses of ContainerDescriptor in org.apache.sling.feature.scanner.spi

Methods in org.apache.sling.feature.scanner.spi that return ContainerDescriptor
Modifier and Type
Method
Description
`ContainerDescriptor`
ExtensionScanner.`scan(org.apache.sling.feature.Feature feature, org.apache.sling.feature.Extension extension, org.apache.sling.feature.builder.ArtifactProvider provider)`
Try to scan the extension and return a descriptor